Api Level های اندروید

Android Api Level

هر گوشی اندرویدی دقیقا یک api level را پشتیبانی می کند. این api level در هر پلتفرم اندرویدی به صورت یکتا تضمین و مشخص شده است . api level دقیقا کتابخانه هایی را که برنامه شما می تواند درون آن صدا کند را شناسایی می کند . این شناسایی ترکیبی از شی های manifest و مجوزها و غیره می باشد که در برابر شما به عنوان یک برنامه نویس اندروید، است . سیستم api level کمک می کند تا اندروید قبل از نصب برنامه متوجه سازگاری یا ناسازگاری نرم افزار شما با اندروید دستگاه شود . زمانی که یک برنامه ساخته می شود حاوی اطلاعات زیر از api level است :
• Target api level که برنامه برای اجرا روی آن ، ساخته شده است .
• Minimum api level ای که برنامه ی شما برای اجرا نیاز دارد .
ابن تنظیمات برای اطمینان از عملکرد مورد نیاز برای اجرای برنامه به شکل صحیح در زمان نصب روی گوشی های اندرویدی است . وگرنه ، توسط گوشی اندروید از اجرای برنامه روی دستگاه جلوگیری می شود . برای مثال اگر api level گوشی شما پایین تر از minimum api level که برای اجرای برنامه خودتان در نظر گرفتید باشد گوشی اندرویدی از نصب برنامه روی گوشی جلوگیری می کند .

Project API Level Settings

در بخش ادامه در مورد اینکه چگونه از android sdk manager برای آماده سازی محیط توسعه برای target api level ای که برای برنامه ی خود در نظر گرفته اید استفاده کنید راهنمایی می شوید و در ادامه ی آن توضیحات مفصلی راجع به پیکربندی target framework و minimum android version و target android version در xamarin.android ارائه خواهد شد.

Android SDK Platform Settings

قبل از اینکه شما بتوانید یک api level را به عنوان minimum api level یا target api level انتخاب کنید باید ابتدا sdk مربوط به آنرا نصب کنید . طیف وسیعی از انتخابها برای Target framework و Minimum Android Version و Target android version وجود دارند که به نسخه های sdk که شما نصب می کنید محدود می شود . شما می توانید از android sdk manager برای تایید نصب ورژنهای مورد نیاز android sdk استفاده نمایید و همچنین می توانید برای نصب هر ورژن جدیدی از api level های که برای برنامه ی خود نیاز دارید از این ابزار کمک بگیرید.
Android sdk manager را در ویژوال استودیو می توانید از مسیر زیر باز نمایید :
Tools > Android > Start Android SDK Manager
لیست android api level هایی که نصب شده اند در اینجا نمایش داده می شود :

تنظیمات SDKManager

Sdk platform مربوط به Target Framework api level باید تیک نصب شده را خورده باشد . برای مثال ، در تصویر بالا پلتفرم sdk از اندروید 4.4.2 (api level 19) تیک نصب شده خورده است اما پلتفرم sdk برای اندروید 4.1.2 (api 16) علامت نصب نشده دارد . اگر sdk پلتفرم برای target یا minimum api level نصب نیست :
1- تیک کنار sdk پلتفرم برای api level ای که شما می خواهید از آن استفاده کنید (به همراه system image های مرتبط به آنها که برای تست api level میخواهید از آنها استفاده نمایید ) را بزنید .
2- کلیک نصب پکیج N(منظور از N تعدادی از پکیجها برای نصب می باشد .)
3- زدن تیک لایسنس sdk در ستون پکیج
4- تایید لایسنس sdk اگرشما شرایط مجوزهای اندروید sdk را می پذیرید .
5- و در نهایت دکمه ی install .


Target Framework

Target framework برای مشخص کردن ورژن android framework (api level) که برنامه ی شما در زمان ساخت در آن کامپایل میشود استفاده می شود. این تنظیمات مشخص می کند که برنامه ی شما در زمان اجرا به چه api هایی نیاز دارد ، اما این هیچ تاثیری روی آن api ها ندارد در واقع فقط در زمان نصب برنامه ی شما در دسترس هستند. Target framework و target android version نامهای شبیه هم دارند اما یک چیز نیستند .تنظیمات Target framework با اطلاعات target api level در زمان کامپایل ارتباط بر قرار می کند ، در حالی که target android version برای ایجاد ارتباط با اطلاعات api level در زمان اجرای برنامه می باشد (زمانی که برنامه نصب شده و روی دستگاه اجرا می شود ).
Target framework مشخص می کند ورژن کتابخانه های برنامه شما با کدام api level مرتبط است و می تواند در برنامه ی شما از آنها استفاده نماید .برای مثال اگر شما می خواهید از متد جدید NotificationBuilder.SetCategory که در اندروید 5.0 Lollipop وجود دارد استفاده نمایید ، شما باید target framework را روی api level 21 (Lollipop) ست نمایید .اگر شما target framework پروژه ی خود را رویapi level ای مثل api level 19 (KitKat) قرار دهید و سعی کنید که متد SetCategory را در کدتون صدا کنید با خطای زمان کامپایل مواجه خواهید شد .
برای دسترسی به تنظیمات target framework در ویژوال استودیو properties پروژه ی خود را در Solution Explorer باز کنید و تب Application را انتخاب کنید :

ورژن Targer Framework
Target framework را با انتخاب api level در منوی کرکری زیرCompile using Android version تنظیم نمایید .


Minimum Android Version

Minimum android version قدیمی ترین ورژنی از اندروید (پایین ترین api level) است که برنامه شما می تواند روی آن نصب و اجرا شود . به صورت پیش فرض یک برنامه روی گوشیهای با تنظیمات target frame work یا بالاتر نصب می شوند ، اگر تنظیمات minimum android version پایین تر از تنظیمات target frame work باشد ، برنامه شما می تواند روی ورژنهای پایین تر نیز کار کند. برای مثال اگر شما target frame work را روی اندروید 5.0 (Lollipop ) ست کرده باشید و minimum android version را برابر با اندروید 4.0.3 (Ice Cream Sandwich) ، برنامه ی شما می تواند روی هر پلتفرم از api level 15 تا api level 21 نصب بشود .
اگرچه برنامه ی شما ممکن است روی طیفی از پلتفرم ها نصب شود ، این تضمین کننده نیست که روی این پلتفرمها اجرا نیز بشوند . برای مثال اگر برنامه شما روی اندروید 4.0.3 (Ice Cream Sandwich) نصب شده باشد و کد شما api level ای را که در اندروید 5.0 (Lollipop) یا بالاتر در دسترس هست را صدا کند ، برنامه شما خطای run time می دهد و ممکن است کرش کند . از این رو کد شما باید اطمینان ( در زمان اجرا ) داشته باشد از صدا کردن تنها api هایی که توسط دستگاه اندروید پشتیبانی میشوند . به عبارت دیگر کد شما باید شامل چکهای زمان اجرایی باشد برای اطمینان از اینکه برنامه ی شما فقط از جدیدترین api هایی که روی دستگاه مورد نظر است و ساپورت می شود استفاده می کند. در راهنمایی های آینده چکهای زمان اجرا نیز آموزش داده خواهد شد .
برای دسترسی به تنظیمات minimum android version در ویژوال استودیو properties پروژه را در Solution Explorer باز کنید و تب application را انتخاب کنید . در منوی کرکری زیر minimum android to target شما می توانید minimum android version برای برنامه ی خود را انتخاب کنید .

minimum version android

اگر شما گزینه ی Use Compile using SDK version را انتخاب کنید (مانند تصویر فوق) ، minimum Android version مانند target framework setting خواهد شد .


Target Android Version

target Android version در واقع api level اندروید ای است که قصد دارید برنامه روی آن اجرا شود . اندروید برای تعیین هرگونه سازگاری از این تنظیمات استفاده می نماید ، این کار کرد برنامه ی شما را تضمین می کند . برای دسترسی به این تنظیمات در ویژوال استودیو از قسمت Solution Explorer بخش properties را انتخاب نمایید و سپس تب application و در منوی کرکری زیر Target Android version ورژنی را که برای اجرای برنامه ی خود در نظر گرفته اید انتخاب کنید .

Target Version Android

به طور نرمال شما باید target Android version را برابر با Use Compile using SDK version قرار دهید (مانند شکل فوق) بنابراین به طور پیش فرض این گزینه به صورت اتوماتیک برابر با target framework setting است .برای دسترسی به این تنظیمات در زامارین استودیو روی چرخ دنده ی خاکستری سمت راست پروژه کلیک کنید و Option را انتخاب کنید .این پنجره ی گزینه های پروژه است در آن بخش build قسمت android application را انتخاب کنید . از منوی کرکری سمت راست Target Android version استفاده کنید و شما می توانید در این قسمت target Android version را ست نمایید .

Target Android Version

به طور نرمال شما باید این گزینه را برابر با Automatic – use target framework version قرار بدهید (مانند تصویر فوق) این مقدار نیز به صورت اتوماتیک برابر تنظیمات target framework قرار می گیرد .
در حقیقت ،Target Android Version محدود است بین Minimum Android Version و Target Framework:
• Minimum Android Version ≤ Target Android Version ≤ Target Framework

مطالب مرتبط به این مطلب :

پاسخ دهید

نشانی ایمیل شما منتشر نخواهد شد. بخش‌های موردنیاز علامت‌گذاری شده‌اند *

18 − 16 =